---
type: api
title: Get TLS certificate
description: Retrieves a certificate in the TLS certificate chain.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-tls-certificate
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-get-tls-certificate
products:
  - Elastic Cloud Enterprise
---

# Get TLS certificate

## Paths

- `GET` `/platform/configuration/security/tls/{service_name}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `service_name` (enum)
  The service certificate chain to read.
  Values: `adminconsole`, `proxy`, `ui`, `internalca`

## Description

Retrieves a certificate in the TLS certificate chain.

## Response

The TLS certificate chain, with private key omitted, for the given service and whether it was user specified

`application/octet-stream`

- `user_supplied` (boolean)
  Was this certificate chain user supplied or automatically generated?
- `chain` ([] string)
  The list of PEM encoded X509 certificates that make up the certificate chain
- `chain_status` ({} ChainStatus)
  Chain expiration information
  - `expiration_date` (string)
    When this chain is going to expire due any of its certificates expiring (ISO format in UTC)
  - `first_certificate_to_expire` (string)
    Information on the first certificate expiring in the chain
- `api_managed` (boolean)
  Whether or not this certificate can be updated using the API
## Code Examples

#### Console

```console
GET /platform/configuration/security/tls/{service_name}
```

#### curl

```curl
curl -X GET "/platform/configuration/security/tls/{service_name}"
```

